<%@ Page Language="C#" AutoEventWireup="true" CodeFile="detecteur_lien.aspx.cs" Inherits="detecteur_lien" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title>Détecteur de liens</title>
        <script src="Scripts/jquery-3.4.1.js"></script>
    <script>
$(document).ready(
function () {                                
    $('p').each(

        function () {
            var s = $(this).text();
                        
            // expression régulière pour identifier des mots
            var reg = new RegExp("JQuery|ASP\\.NET");
            var mots = reg.exec(s);
                        
            if (mots!=null && mots.length!=null && mots.length > 0) {
                var m = mots[0];
                var url = "";

                switch (m.toUpperCase()) {                               
                    case "ASP.NET":
                        url = "http://www.editions-eni.fr/livres/recherche/.462b164bb4854b14c4321630bd7b9f25.html?exp=ASP.NET";
                        break;

                    case "JQUERY":
                        url = "http://www.editions-eni.fr/livres/recherche/.462b164bb4854b14c4321630bd7b9f25.html?exp=JQUERY";
                        break;
                }

                // nouvelle baliser à insérer
                var lien = "<p style='font-style: italic'>Voir aussi <a href=\"" + url + "\" target=_blank>" + m + "</a> sur ENI</p>"

                // insérer après le noeud courant (this)
                $(this).append(lien);                            
            }
        }
    );

                                
}
);
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <div style="font-weight: bold">Quelques technologies</div>                
        <p><b>ASP.NET</b> est un puissant serveur d'applications Web proposé par Microsoft. Il supporte les frameworks Web forms et MVC et repose sur .NET. Visual Studio est l'environnement de programmation associé.</p>
        <p><b>JQuery</b> est un framework pour exécuter des requêtes en JavaScript. Sa syntaxe unifie les API des différents navigateurs Internet Explorer, Firefox, Chrome...</p>                
    </form>
</body>
</html>
